<?php

/**
 * @file
 *   Module functions for the relwmls module.
 * @defgroup relwmls
 * @ingroup relwmls
 */

/**
 * relwmls_import_the_csv_file()
 */
function relwmls_import_the_csv_file() {
  $path = 'sites/all/modules/relwmls/relwmls.install';
  if (!file_exists($path)) {
    drupal_set_message('The relwmls.install file has not yet been generated.');
    drupal_goto('admin/settings/relwmls');
  }
  $path = 'sites/default/files/'. variable_get('relwmls_mls_data_file', '');
  if (!file_exists($path)) {
    drupal_set_message('The MLS file does not exist.');
    drupal_goto('admin/settings/relwmls');
  }
  $f = fopen($path, 'r');
  set_time_limit(0);
  $count = 0;
  while (TRUE) {
    $s = fgets($f);
    if (!strlen($s)) {
      break;
    }
    $a = explode('"', $s);
    $node->type = 'relwmls_mls_listing';
    $node->uid = 1;
    $node->status = 1;
    $node->comment = 0;
    $node->promote = 0;
    $i = 1;
    $node->mls_id = $a[$i];
    $i += 2;
    $node->mls_state_id = $a[$i];
    $i += 2;
    $node->mls_listing_id = $a[$i];
    $nid = db_result(db_query("SELECT `nid` FROM {relwmls_mls_listing} WHERE `mls_listing_id` = '%s'", $node->mls_listing_id));
    if ($nid) {
      relwmls_update_record($nid, $s);
    }
    else {
      relwmls_insert_record($s);
    }
    $count += 1;
    unset($node);
  }
  fclose($f);
  $s = $count .' MLS listings imported (and inserted or updated)';
  drupal_set_message($s);
  drupal_goto('');
}

/**
 * relwmls_update_record()
 */
function relwmls_update_record($nid, $s) {
  $node = db_fetch_object(db_query("SELECT * FROM {relwmls_mls_listing} WHERE `nid` = %d", $nid));
  $a = explode('"', $s);
  $node->type = 'relwmls_mls_listing';
  $node->uid = 1;
  $node->status = 1;
  $node->comment = 0;
  $node->promote = 0;
  $i = 1;
  $node->mls_id = $a[$i];
  $i += 2;
  $node->mls_state_id = $a[$i];
  $i += 2;
  $node->mls_listing_id = $a[$i];
  $i += 2;
  $node->tln_firm_id = $a[$i];
  $i += 2;
  $node->mls_office_name = $a[$i];
  $i += 2;
  $node->mls_office_phone = $a[$i];
  $i += 2;
  $node->tln_realtor_id = $a[$i];
  $i += 2;
  $node->mls_agent_name = $a[$i];
  $i += 2;
  $node->mls_agent_phone = $a[$i];
  $i += 2;
  $node->listing_date = $a[$i];
  $i += 2;
  $node->listing_expiration_date = $a[$i];
  $i += 2;
  $node->sold_date = $a[$i];
  $i += 2;
  $node->available_date = $a[$i];
  $i += 2;
  $node->property_type_code = $a[$i];
  $i += 2;
  $node->prop_type_description = $a[$i];
  $i += 2;
  $node->remarks = $a[$i];
  $i += 2;
  $node->status_code = $a[$i];
  $i += 2;
  $node->sale_price = $a[$i];
  $i += 2;
  $node->sold_price = $a[$i];
  $i += 2;
  $node->property_state_id = $a[$i];
  $i += 2;
  $node->street_number = $a[$i];
  $i += 2;
  $node->street_name = $a[$i];
  $i += 2;
  $node->street_type = $a[$i];
  $i += 2;
  $node->street_direction = $a[$i];
  $i += 2;
  $node->unit_number = $a[$i];
  $i += 2;
  $node->longitude = $a[$i];
  $i += 2;
  $node->latitude = $a[$i];
  $i += 2;
  $node->city = $a[$i];
  $i += 2;
  $node->city_id = $a[$i];
  $i += 2;
  $node->zip_code = $a[$i];
  $i += 2;
  $node->zip_plus4 = $a[$i];
  $i += 2;
  $node->mls_area = $a[$i];
  $i += 2;
  $node->county = $a[$i];
  $i += 2;
  $node->fips_county_code = $a[$i];
  $i += 2;
  $node->subdivision = $a[$i];
  $i += 2;
  $node->community_name = $a[$i];
  $i += 2;
  $node->year_built = $a[$i];
  $i += 2;
  $node->acres = $a[$i];
  $i += 2;
  $node->lot_dimensions = $a[$i];
  $i += 2;
  $node->lot_square_footage = $a[$i];
  $i += 2;
  $node->lot_square_footage_land = $a[$i];
  $i += 2;
  $node->building_square_footage = $a[$i];
  $i += 2;
  $node->bedrooms = $a[$i];
  $i += 2;
  $node->baths_total = $a[$i];
  $i += 2;
  $node->baths_full = $a[$i];
  $i += 2;
  $node->baths_half = $a[$i];
  $i += 2;
  $node->baths_three_quarter = $a[$i];
  $i += 2;
  $node->fireplace_number = $a[$i];
  $i += 2;
  $node->total_rooms = $a[$i];
  $i += 2;
  $node->school_district = $a[$i];
  $i += 2;
  $node->school_elementary = $a[$i];
  $i += 2;
  $node->school_middle = $a[$i];
  $i += 2;
  $node->school_junior_high = $a[$i];
  $i += 2;
  $node->school_high = $a[$i];
  $i += 2;
  $node->total_units = $a[$i];
  $i += 2;
  $node->total_buildings = $a[$i];
  $i += 2;
  $node->total_lots = $a[$i];
  $i += 2;
  $node->hoa_fees = $a[$i];
  $i += 2;
  $node->owners_name = $a[$i];
  $i += 2;
  $node->legal = $a[$i];
  $i += 2;
  $node->apn = $a[$i];
  $i += 2;
  $node->taxes = $a[$i];
  $i += 2;
  $node->tax_year = $a[$i];
  $i += 2;
  $node->section = $a[$i];
  $i += 2;
  $node->range = $a[$i];
  $i += 2;
  $node->township = $a[$i];
  $i += 2;
  $node->rent_on_season = $a[$i];
  $i += 2;
  $node->rent_off_season = $a[$i];
  $i += 2;
  $node->photo_ind = $a[$i];
  $i += 2;
  $node->last_mls_update_date = $a[$i];
  $i += 2;
  $node->master_bed = $a[$i];
  $i += 2;
  $node->bed2 = $a[$i];
  $i += 2;
  $node->bed3 = $a[$i];
  $i += 2;
  $node->bed4 = $a[$i];
  $i += 2;
  $node->bed5 = $a[$i];
  $i += 2;
  $node->kitchen = $a[$i];
  $i += 2;
  $node->breakfast = $a[$i];
  $i += 2;
  $node->laundry = $a[$i];
  $i += 2;
  $node->den = $a[$i];
  $i += 2;
  $node->dining = $a[$i];
  $i += 2;
  $node->family = $a[$i];
  $i += 2;
  $node->living = $a[$i];
  $i += 2;
  $node->great = $a[$i];
  $i += 2;
  $node->extra = $a[$i];
  $i += 2;
  $node->feature_codes = $a[$i];
  $i += 2;
  $node->mls_office_id = $a[$i];
  $i += 2;
  $node->mls_agent_id = $a[$i];
  $i += 2;
  $node->virtual_tour_url = $a[$i];
  $i += 2;
  $node->photo_quantity = $a[$i];
  $i += 2;
  $node->photo_url = $a[$i];
  $i += 2;
  $node->photo_most_recent_date = $a[$i];
  node_save($node);
  unset($node);
}

/**
 * relwmls_insert_record()
 */
function relwmls_insert_record($s) {
  $a = explode('"', $s);
  $node->type = 'relwmls_mls_listing';
  $node->uid = 1;
  $node->status = 1;
  $node->comment = 0;
  $node->promote = 0;
  $i = 1;
  $node->mls_id = $a[$i];
  $i += 2;
  $node->mls_state_id = $a[$i];
  $i += 2;
  $node->mls_listing_id = $a[$i];
  $i += 2;
  $node->tln_firm_id = $a[$i];
  $i += 2;
  $node->mls_office_name = $a[$i];
  $i += 2;
  $node->mls_office_phone = $a[$i];
  $i += 2;
  $node->tln_realtor_id = $a[$i];
  $i += 2;
  $node->mls_agent_name = $a[$i];
  $i += 2;
  $node->mls_agent_phone = $a[$i];
  $i += 2;
  $node->listing_date = $a[$i];
  $i += 2;
  $node->listing_expiration_date = $a[$i];
  $i += 2;
  $node->sold_date = $a[$i];
  $i += 2;
  $node->available_date = $a[$i];
  $i += 2;
  $node->property_type_code = $a[$i];
  $i += 2;
  $node->prop_type_description = $a[$i];
  $i += 2;
  $node->remarks = $a[$i];
  $i += 2;
  $node->status_code = $a[$i];
  $i += 2;
  $node->sale_price = $a[$i];
  $i += 2;
  $node->sold_price = $a[$i];
  $i += 2;
  $node->property_state_id = $a[$i];
  $i += 2;
  $node->street_number = $a[$i];
  $i += 2;
  $node->street_name = $a[$i];
  $i += 2;
  $node->street_type = $a[$i];
  $i += 2;
  $node->street_direction = $a[$i];
  $i += 2;
  $node->unit_number = $a[$i];
  $i += 2;
  $node->longitude = $a[$i];
  $i += 2;
  $node->latitude = $a[$i];
  $i += 2;
  $node->city = $a[$i];
  $i += 2;
  $node->city_id = $a[$i];
  $i += 2;
  $node->zip_code = $a[$i];
  $i += 2;
  $node->zip_plus4 = $a[$i];
  $i += 2;
  $node->mls_area = $a[$i];
  $i += 2;
  $node->county = $a[$i];
  $i += 2;
  $node->fips_county_code = $a[$i];
  $i += 2;
  $node->subdivision = $a[$i];
  $i += 2;
  $node->community_name = $a[$i];
  $i += 2;
  $node->year_built = $a[$i];
  $i += 2;
  $node->acres = $a[$i];
  $i += 2;
  $node->lot_dimensions = $a[$i];
  $i += 2;
  $node->lot_square_footage = $a[$i];
  $i += 2;
  $node->lot_square_footage_land = $a[$i];
  $i += 2;
  $node->building_square_footage = $a[$i];
  $i += 2;
  $node->bedrooms = $a[$i];
  $i += 2;
  $node->baths_total = $a[$i];
  $i += 2;
  $node->baths_full = $a[$i];
  $i += 2;
  $node->baths_half = $a[$i];
  $i += 2;
  $node->baths_three_quarter = $a[$i];
  $i += 2;
  $node->fireplace_number = $a[$i];
  $i += 2;
  $node->total_rooms = $a[$i];
  $i += 2;
  $node->school_district = $a[$i];
  $i += 2;
  $node->school_elementary = $a[$i];
  $i += 2;
  $node->school_middle = $a[$i];
  $i += 2;
  $node->school_junior_high = $a[$i];
  $i += 2;
  $node->school_high = $a[$i];
  $i += 2;
  $node->total_units = $a[$i];
  $i += 2;
  $node->total_buildings = $a[$i];
  $i += 2;
  $node->total_lots = $a[$i];
  $i += 2;
  $node->hoa_fees = $a[$i];
  $i += 2;
  $node->owners_name = $a[$i];
  $i += 2;
  $node->legal = $a[$i];
  $i += 2;
  $node->apn = $a[$i];
  $i += 2;
  $node->taxes = $a[$i];
  $i += 2;
  $node->tax_year = $a[$i];
  $i += 2;
  $node->section = $a[$i];
  $i += 2;
  $node->range = $a[$i];
  $i += 2;
  $node->township = $a[$i];
  $i += 2;
  $node->rent_on_season = $a[$i];
  $i += 2;
  $node->rent_off_season = $a[$i];
  $i += 2;
  $node->photo_ind = $a[$i];
  $i += 2;
  $node->last_mls_update_date = $a[$i];
  $i += 2;
  $node->master_bed = $a[$i];
  $i += 2;
  $node->bed2 = $a[$i];
  $i += 2;
  $node->bed3 = $a[$i];
  $i += 2;
  $node->bed4 = $a[$i];
  $i += 2;
  $node->bed5 = $a[$i];
  $i += 2;
  $node->kitchen = $a[$i];
  $i += 2;
  $node->breakfast = $a[$i];
  $i += 2;
  $node->laundry = $a[$i];
  $i += 2;
  $node->den = $a[$i];
  $i += 2;
  $node->dining = $a[$i];
  $i += 2;
  $node->family = $a[$i];
  $i += 2;
  $node->living = $a[$i];
  $i += 2;
  $node->great = $a[$i];
  $i += 2;
  $node->extra = $a[$i];
  $i += 2;
  $node->feature_codes = $a[$i];
  $i += 2;
  $node->mls_office_id = $a[$i];
  $i += 2;
  $node->mls_agent_id = $a[$i];
  $i += 2;
  $node->virtual_tour_url = $a[$i];
  $i += 2;
  $node->photo_quantity = $a[$i];
  $i += 2;
  $node->photo_url = $a[$i];
  $i += 2;
  $node->photo_most_recent_date = $a[$i];
  node_save($node);
  unset($node);
}

